 <div class="row">
  <div class="col-md-6 order-md-1">
 <form class="needs-validation"  [formGroup]='applicationForm' novalidate>
    <div class="row">
      <div class="col-md-6  mb-1">
        <div class="p-1 mb-1 bg-light text-dark">
          <div class="mb-1">
            <label for="firstName">Information</label>
          </div>
          <div class="mb-1">
            <label for="firstName">Retrieved</label>
          </div>
          <div class="mb-1">
            <label for="firstName">from ID-Porten</label>
          </div>
        </div>
      </div>
      <!--Information for the Extra driver is  registered-->
      <div class="col-md-6 mb-2">
        <div class="p-1 mb-1 bg-light text-dark">
          <label for="Info">Add Extra driver for this rout</label>
          <div class="row">
            <div class="col-md-2 mb-1 .d-none .d-lg-block .d-xl-none">
              <a class="fa fa-user-plus fa-2x "></a>
            </div>
            <div class="col-md-10">
              <div >
                <input class="form-control" type="text" formControlName='additionalDriverId'   placeholder="National ID" required>
              </div>
              <select type="text" class="form-control" formControlName='additionalDriverRelation'>
                <option value="" selected disabled>Please Relationship</option>
                <option *ngFor="let relationship of relationships | async" [value]="relationship.id">
                  {{ relationship.name }}</option>
              </select>
              <div *ngIf="formSubmitted && applicationForm.get('additionalDriverRelation').errors"
                class="invalid-error">
                <div *ngIf="applicationForm.get('additionalDriverRelation').errors.required">is required</div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
    <!--Choose Vehicle type with the radio buttons, name of the Items can be changed-->
    <div class="p-1 mb-1 bg-light text-dark">
      <label for="vehicletype">Choose Vehicle Type</label>
      <div class="row" style="padding-left: 3em;">
        <div class="col-md-2 mb-3">
          <div class="form-check">
            <input class="form-check-input" formControlName='vehicletype' type="radio" id="car" value="1">
            <label class="form-check-label" for="car"> Cars </label>
        </div>
      </div>
        <div class="col-md-2 mb-2">
          <div class="form-check" id="vehiclecheck">
            <input class="form-check-input" formControlName='vehicletype' type="radio" id="boat" value="2">
            <label class="form-check-label" for="boat"> Boats </label>
          </div>
        </div>
        <div class="col-md-2 mb-2">
          <div class="form-check">
            <input class="form-check-input" formControlName='vehicletype' type="radio" id="airplane"
              value="3">
            <label class="form-check-label" for="airplane"> Airplanes </label>
          </div>
        </div>
      </div>
    
      <!--The starting and ending date are registered here and saved to local storage-->
      <div class="mb-3">
        <label>Select Time</label>
        <div class="row" style="padding-left: 3em;">
          <div class="col-md-4 mb-2">
            <div class="form-check">
              <input class="form-check-input" formControlName='time' type="radio" id="singleDate" value="1">
              <label class="form-check-label" for="singleDate">Single Date</label>
            </div>
          </div>
          <div class="col-md-4 mb-1">
            <div class="form-check">
              <input class="form-check-input" formControlName='time' type="radio"  id="timePeriod"
                value="option1">
              <label class="form-check-label" for="timePeriod">Time Period</label>
            </div>
          </div>
        </div>
        <div class="bootstrap-iso">
          <!--Change Date Picker-->
          <div class="row">
            <div class="col-md-5">
              <div class="form-group ">
                <div class="input-group">
                  <div class="input-group-addon">
                    <i class="fa fa-calendar"></i>
                  </div>
                  <select class="form-control form-control-sm" id="date"  placeholder="MM/DD/YYYY"
                    type="text">
                  </select>
                </div>
              </div>
            </div>
          </div>
          <!--Change Date Picker-->
        </div>
      </div>
      <div class="row">
        <div class="col-md-8 mb-2">
          <label for="reason">Reason for Application</label>
          <select type="text" class="form-control" formControlName='reason'>
            <option *ngFor="let reason of reasons | async" [value]="reason.id">{{ reason.name }}</option>
          </select>
        </div>
      </div>
      <div class="row">
        <!--Change this to support multiple attachment files-->
        <div class="col-md-6 mb-2">
          <label for="attachment">Documentation</label>
          <div class="input-group">
            <div class="custom-file">
              <input type="file" class="custom-file-input" id="attachment">
              <label class="custom-file-label" for="inputGroupFile01">Choose file</label>
            </div>
          </div>
        </div>
      </div>
      <div class="mb-3">
        <label for="confirmation">Acceptance from Affected landowners</label>
        <div class="row" style="padding-left: 3em;">
          <div class="col-md-3 mb-2">
            <div class="form-check">
              <input class="form-check-input" formControlName='confirmation' type="radio" name="confirmation"
                id="accepted" value="1">
              <label class="form-check-label" for="accepted">Yes</label>
            </div>
          </div>
          <div class="col-md-3 mb-1">
            <div class="form-check">
              <input class="form-check-input" formControlName='confirmation' type="radio" name="confirmation"
                id="notaccepted" value="2">
              <label class="form-check-label" for="notaccepted">No</label>
            </div>
          </div>
        </div>
      </div>
      <div class="mb-3">
        <div class="form-group">
          <label for="remark">Other Information</label>
          <textarea class="form-control" id="remark" rows="3" formControlName='remark' ></textarea>
        </div>
      </div>
    </div>

  </form>
  </div>
  <div class="col-md-6 order-md-2 mb-4">
    <app-map></app-map>
</div>
</div>
  <div class="row">
    <div class=" col-10" style="padding-left: 1em;">
      <div class="form-group">
        <button type="button" class="btn btn-primary fa fa-send-o" (click)="saveApplication()">&nbsp;Send</button>
        <button type="button" class="btn btn-primary fa fa-floppy-o" style="margin-left: 1em;" (click)="saveApplication()">&nbsp;Save</button>
      </div>
    </div>
    </div>
  
    
    